package com.railway.business.baseinfo.domain.enums;

/**
 * 级联类型
 *
 * @author zhaomn
 */
public enum CascadeEnum {

  /** 级联类型 */
  DEPT("dept", "车间"),
  LINE("line", "线路"),
  XINGBIE("xingbie", "行别"),
  STATION("station", "区间/站场"),
  ;

  private final String code;
  private final String info;

  CascadeEnum(String code, String info) {
    this.code = code;
    this.info = info;
  }

  public String getCode() {
    return code;
  }

  public String getInfo() {
    return info;
  }
}
